From 9706a5104c8d01589813adbc6267c60d5217e3ff Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 25 2020 00:09:01 +0000
Subject: [PATCH 353/2232] Express Box const_pointer and pointer more concisely


---

diff --git a/include/cxx.h b/include/cxx.h
index 637372a..7c2594c 100644
--- a/include/cxx.h
+++ b/include/cxx.h
@@ -125,9 +125,9 @@ template <typename T>
 class Box final {
 public:
   using value_type = T;
-  using const_pointer = typename std::add_pointer<
-      typename std::add_const<value_type>::type>::type;
-  using pointer = typename std::add_pointer<value_type>::type;
+  using const_pointer =
+      typename std::add_pointer<typename std::add_const<T>::type>::type;
+  using pointer = typename std::add_pointer<T>::type;
 
   Box(const Box &other) : Box(*other) {}
   Box(Box &&other) noexcept : ptr(other.ptr) { other.ptr = nullptr; }

